> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Timesheet Periods

> Cursor-paginated org timesheet periods with status/compliance filters and violation/warning counts.

Required scope: `time:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-org-timesheet-periods
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-org-timesheet-periods:
    get:
      operationId: getOrgTimesheetPeriods
      summary: Get Org Timesheet Periods
      x-toku-required-scope: time:read
      description: >-
        Cursor-paginated org timesheet periods with status/compliance filters
        and violation/warning counts.


        Required scope: `time:read`
      parameters:
        - name: status
          in: query
          required: false
          schema:
            oneOf:
              - type: string
                enum:
                  - DRAFT
                  - PENDING_SIGNOFF
                  - SIGNED
                  - APPROVED
                  - REJECTED
              - type: array
                items:
                  type: string
                  enum:
                    - DRAFT
                    - PENDING_SIGNOFF
                    - SIGNED
                    - APPROVED
                    - REJECTED
        - name: complianceStatus
          in: query
          required: false
          schema:
            oneOf:
              - type: string
                enum:
                  - COMPLIANT
                  - WARNING
                  - VIOLATION
              - type: array
                items:
                  type: string
                  enum:
                    - COMPLIANT
                    - WARNING
                    - VIOLATION
        - name: countryCode
          in: query
          required: false
          schema:
            type: string
            enum:
              - ABW
              - AFG
              - AGO
              - AIA
              - ALA
              - ALB
              - AND
              - ARE
              - ARG
              - ARM
              - ASM
              - ATA
              - ATF
              - ATG
              - AUS
              - AUT
              - AZE
              - BDI
              - BEL
              - BEN
              - BES
              - BFA
              - BGD
              - BGR
              - BHR
              - BHS
              - BIH
              - BLR
              - BLZ
              - BMU
              - BOL
              - BRA
              - BRB
              - BRN
              - BTN
              - BVT
              - BWA
              - CAF
              - CAN
              - CCK
              - CHE
              - CHL
              - CHN
              - CIV
              - CMR
              - COD
              - COG
              - COK
              - COL
              - COM
              - CPV
              - CRI
              - CUB
              - CUW
              - CXR
              - CYM
              - CYP
              - CZE
              - DEU
              - DJI
              - DMA
              - DNK
              - DOM
              - DZA
              - ECU
              - EGY
              - ERI
              - ESH
              - ESP
              - EST
              - ETH
              - FIN
              - FJI
              - FLK
              - FRA
              - FRO
              - FSM
              - GAB
              - GBR
              - GEO
              - GGY
              - GHA
              - GIB
              - GIN
              - GLP
              - GMB
              - GNB
              - GNQ
              - GRC
              - GRD
              - GRL
              - GTM
              - GUF
              - GUM
              - GUY
              - HKG
              - HMD
              - HND
              - HRV
              - HTI
              - HUN
              - IDN
              - IMN
              - IND
              - IOT
              - IRL
              - IRN
              - IRQ
              - ISL
              - ISR
              - ITA
              - JAM
              - JEY
              - JOR
              - JPN
              - KAZ
              - KEN
              - KGZ
              - KHM
              - KIR
              - KNA
              - KOR
              - KWT
              - LAO
              - LBN
              - LBR
              - LBY
              - LCA
              - LIE
              - LKA
              - LSO
              - LTU
              - LUX
              - LVA
              - MAC
              - MAF
              - MAR
              - MCO
              - MDA
              - MDG
              - MDV
              - MEX
              - MHL
              - MKD
              - MLI
              - MLT
              - MMR
              - MNE
              - MNG
              - MNP
              - MOZ
              - MRT
              - MSR
              - MTQ
              - MUS
              - MWI
              - MYS
              - MYT
              - NAM
              - NCL
              - NER
              - NFK
              - NGA
              - NIC
              - NIU
              - NLD
              - NOR
              - NPL
              - NRU
              - NZL
              - OMN
              - PAK
              - PAN
              - PCN
              - PER
              - PHL
              - PLW
              - PNG
              - POL
              - PRI
              - PRK
              - PRT
              - PRY
              - PSE
              - PYF
              - QAT
              - REU
              - ROU
              - RUS
              - RWA
              - SAU
              - SDN
              - SEN
              - SGP
              - SGS
              - SHN
              - SJM
              - SLB
              - SLE
              - SLV
              - SMR
              - SOM
              - SPM
              - SRB
              - SSD
              - STP
              - SUR
              - SVK
              - SVN
              - SWE
              - SWZ
              - SXM
              - SYC
              - SYR
              - TCA
              - TCD
              - TGO
              - THA
              - TJK
              - TKL
              - TKM
              - TLS
              - TON
              - TTO
              - TUN
              - TUR
              - TUV
              - TWN
              - TZA
              - UGA
              - UKR
              - UMI
              - URY
              - USA
              - UZB
              - VAT
              - VCT
              - VEN
              - VGB
              - VIR
              - VNM
              - VUT
              - WLF
              - WSM
              - YEM
              - ZAF
              - ZMB
              - ZWE
        - name: periodType
          in: query
          required: false
          schema:
            type: string
            enum:
              - WEEKLY
              - MONTHLY
        - name: periodStartFrom
          in: query
          required: false
          schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
        - name: periodStartTo
          in: query
          required: false
          schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 200
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 200
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgTimesheetPeriodsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgTimesheetPeriodsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              timesheetPeriodID:
                type: string
              roleInOrgID:
                type: string
              employeeName:
                type: string
              workEmail:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              countryCode:
                type:
                  - string
                  - 'null'
              periodType:
                type: string
              periodStart:
                type: string
              periodEnd:
                type: string
              status:
                type: string
              complianceStatus:
                type: string
              totalNetMinutes:
                type: number
              totalOvertimeMinutes:
                type: number
              entryCount:
                type: number
              violationCount:
                type: number
              warningCount:
                type: number
              employeeSignedAt:
                type:
                  - string
                  - 'null'
              escalatedAt:
                type:
                  - string
                  - 'null'
            required:
              - timesheetPeriodID
              - roleInOrgID
              - employeeName
              - workEmail
              - department
              - countryCode
              - periodType
              - periodStart
              - periodEnd
              - status
              - complianceStatus
              - totalNetMinutes
              - totalOvertimeMinutes
              - entryCount
              - violationCount
              - warningCount
              - employeeSignedAt
              - escalatedAt
        totalCount:
          type: number
        nextCursor:
          type:
            - string
            - 'null'
        hasNextPage:
          type: boolean
      required:
        - items
        - totalCount
        - nextCursor
        - hasNextPage
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
